#include<iostream>
using namespace std;
int main()
{
    int n,mas[10000],i,sum=0,nm,nmi,br,j;
   cin>>br;
   for(i=0;i<br;i++){

    cin>>mas[i];
    if(mas[i]>mas[i-1]&&i>0&&mas[i-1]!=0){

        sum+=mas[i];
        mas[i-1]=0;

    }else{
        if(mas[i]<mas[i-1]&&i>0&&mas[i]!=0){
        sum+=mas[i-1];
        mas[i]=0;


        }

    }
   }


    cout<<sum;
   return 0;
}

